Bug 202534 - Fix lang/v8-devel build with clang 3.7.0
Summary: Fix lang/v8-devel build with clang 3.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 201377
  Show dependency treegraph
 
Reported: 2015-08-20 21:31 UTC by Dimitry Andric
Modified: 2015-09-20 20:32 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
Fix various warnings in lang/v8-devel while building with clang 3.7.0 (11.98 KB, patch)
2015-08-20 21:31 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2015-08-20 21:31:32 UTC
Created attachment 160158 [details]
Fix various warnings in lang/v8-devel while building with clang 3.7.0

During the exp-run in bug 201377, it was found that lang/v8-devel gives errors with a recent clang 3.7.0 snapshot:

http://package18.nyi.freebsd.org/data/headi386PR201377-default/2015-07-31_12h04m22s/logs/errors/v8-devel-3.27.7_3.log

This log only contains the -Werror warnings about printing non-void pointers with %p, but a newer trunk version of clang also generates a number of warnings about left-shifting negative numbers.

I have fixed both types of warnings in the attached patch.
Comment 1 commit-hook freebsd_committer 2015-09-20 20:18:20 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Sep 20 20:18:06 UTC 2015
New revision: 397413
URL: https://svnweb.freebsd.org/changeset/ports/397413

Log:
  - Fix warnings generated by recent snapshot of Clang 3.7.0, including:
    - Printing non-void pointers with %p.
    - Left-shifting negative numbers.

  PR:		202534
  Submitted by:	dim

Changes:
  head/lang/v8-devel/files/patch-Makefile
  head/lang/v8-devel/files/patch-src-allocation-tracker.cc
  head/lang/v8-devel/files/patch-src-deoptimizer.cc
  head/lang/v8-devel/files/patch-src-heap-snapshot-generator.cc
  head/lang/v8-devel/files/patch-src-ia32-code-stubs-ia32.cc
  head/lang/v8-devel/files/patch-src-ia32-disasm-ia32.cc
  head/lang/v8-devel/files/patch-src-ia32-ic-ia32.cc
  head/lang/v8-devel/files/patch-src-liveedit.cc
  head/lang/v8-devel/files/patch-src-objects.h
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-09-20 20:32:08 UTC
Committed. Thanks!